#include <iostream>
#include <cstdlib>

#include "enums.hpp"

using namespace std;


inline
Led convert(const LED from)
{
  switch(from)
  {
    case LED_NONE:  return Led_None;
    case LED_RED:   return Led_Red;
    case LED_GREEN: return Led_Green;
    case LED_BLUE:  return Led_Blue;
    default:        return Led_None;
  }
}


inline
LED convert(const Led from)
{
  switch(from)
  {
    case Led_None:  return LED_NONE;
    case Led_Red:   return LED_RED;
    case Led_Green: return LED_GREEN;
    case Led_Blue:  return LED_BLUE;
    default:        return LED_NONE;
  }
}


int main(int argc, char **argv)
{
  if(argc!=1+1)
  {
    cerr<<argv[0]<<" <id>"<<endl;
    return 1;
  }

  const int id  =atoi(argv[1]);
  const LED in  =(LED)id;
  const Led out1=convert(in);
  const LED out2=convert(out1);

  cout<<in<<" is "<<out1<<" and back to "<<out2<<endl;
  return 0;
}
